# $Revision: 1.35 $, $Date: 2008/07/27 22:32:39 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires working DBI connection)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	SQLEngine
Summary:	DBIx::SQLEngine - extends DBI with high-level operations
Summary(pl.UTF-8):	DBIx::SQLEngine - rozszerzenie DBI o wysokopoziomowe operacje
Name:		perl-DBIx-SQLEngine
Version:	0.93
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	963f4e41b77f7a1f6287eeac760a94e1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DBI >= 1.0
BuildRequires:	perl-DBIx-AnyDBD >= 2.0
BuildRequires:	perl-Class-MakeMethods >= 1.003
BuildRequires:	perl-Class-MakeMethods-Template >= 1.003
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DBIx::SQLEngine class provides an extended interface for the DBI
database interface, adding methods that support ad-hoc SQL generation
and query execution in a single call.

%description -l pl.UTF-8
Klasa DBIx::SQLEngine udostępnia rozszerzony interfejs dla interfejsu
bazodanowego DBI, dodając metody obsługujące generowanie SQL w locie
i wykonywanie zapytań w pojedynczym wywołaniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/DBIx/*.pm
%dir %{perl_vendorlib}/DBIx/SQLEngine
%{perl_vendorlib}/DBIx/SQLEngine/*.pm
%{perl_vendorlib}/DBIx/SQLEngine/Cache
%{perl_vendorlib}/DBIx/SQLEngine/Criteria
%{perl_vendorlib}/DBIx/SQLEngine/Driver
%{perl_vendorlib}/DBIx/SQLEngine/Record
%{perl_vendorlib}/DBIx/SQLEngine/RecordSet
%{perl_vendorlib}/DBIx/SQLEngine/Schema
%{perl_vendorlib}/DBIx/SQLEngine/Utility
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-SQLEngine.spec,v $
Revision 1.35  2008/07/27 22:32:39  arekm
- release 3

Revision 1.34  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.32  2004/12/02 07:43:21  ankry
- %files update, rel. 2

Revision 1.31  2004/12/01 12:44:23  radek
- autoupdated to 0.93

Revision 1.30  2004/11/03 22:30:16  paladine
- formatting

Revision 1.29  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.28  2004/05/06 18:09:28  ankry
- fixed perl-devel BR

Revision 1.27  2004/04/25 16:52:10  adamg
- updated to 0.028

Revision 1.26  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.25  2004/04/20 05:22:49  ankry
- license fixes and unification

Revision 1.24  2004/04/19 14:52:31  adamg
- updated to 0.027

Revision 1.23  2004/04/17 15:12:06  adamg
- updated to 0.026

Revision 1.22  2004/04/15 09:45:35  adamg
- updated to 0.025

Revision 1.21  2004/04/14 14:47:11  ankry
- cosmetics

Revision 1.20  2004/04/14 11:01:45  adamg
- updated to 0.024

Revision 1.19  2004/04/10 20:05:52  adamg
- updated to 0.22

Revision 1.18  2004/04/07 10:48:12  adamg
- updated to 0.021

Revision 1.17  2004/03/13 23:09:14  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.16  2003/09/15 09:42:02  adamg
- updated to 0.010

Revision 1.15  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/03/01 18:05:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.8  2003/02/18 22:57:50  ankry
- autoupdated to 0.009

Revision 1.7  2003/02/18 15:30:57  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/11/20 12:08:59  mis
- autoupdated to 0.008

Revision 1.5  2002/10/25 09:56:07  qboosh
- tests disabled by default - they require working DBI connection

Revision 1.4  2002/10/12 11:19:17  ankry
- added BRs, rel. 4

Revision 1.3  2002/09/16 11:58:48  ankry
- added tests on bcond, removed .pod files
- release 3

Revision 1.2  2002/08/18 13:54:21  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
